var queryEtichette = '';

function recupera_ip_locale() {
    var urlWs = app.data.url + "ws/localIP/";
    inviaDatiWs({}, urlWs, modifica_url);
}

function inviaDatiWs(datiForm, urlWs, callback) {
    app.request.post(urlWs, { dati: datiForm }, function (data) {
        callback(data, datiForm);
    });
}

function modifica_url(data, datiForm) {
    Utility.alertAttenzione(data);
    app.data.url = "http://" + data + "/stampa-etichette-backend/";
    gestisciAvvioApp(app);
}

async function gestioneMatricole(data, datiForm) {
    var risultato = JSON.parse(data);
    app.preloader.hide();

    if (risultato.numero == 0) {

        var msg = await translateText('lbl31', { articolo: datiForm.articolo });
        app.dialog.confirm(msg, '<i class="icon f7-icons" style="color:orange;">question_diamond_fill</i>', function () {
            app.view.main.router.navigate('/nuova_matricola/');
        });

    } else if (risultato.numero == 1) {
        var data_collaudo = risultato.json[0].MADAE;
        if (data_collaudo === 'undefined' || data_collaudo == '' || data_collaudo == 0) {
            data_collaudo = risultato.json[0].MADAT;
        }
        var datiForm = {
            'anno': risultato.json[0].MADAT,
            'matricola': risultato.json[0].MADE2,
            'fornitore': risultato.json[0].MACTP,
            'articolo': risultato.json[0].MAART,
            'descr_articolo': risultato.json[0].ARDES,
            'car_05': risultato.json[0].ARCA05,
            'aa_revisione': risultato.json[0].AA_REVISIONE,
            'aa_collaudo': risultato.json[0].AA_COLLAUDO,
            'data_collaudo': data_collaudo
        };
        app.data.datiForm = datiForm;

        compilaPopupQRCode();
        // compilaPopupRevisioneCollaudo();

    } else if (risultato.numero > 1) {
        app.data.lista_matricole = risultato.json;
        app.view.main.router.navigate('/lista_matricole/');
    }
}

function compilaPopupQRCode() {

    $$('#articolo_sel').html(`${app.data.datiForm.articolo}`);
    $$('#descr_articolo_sel').html(`${app.data.datiForm.descr_articolo}`);
    $$('#matricola_sel').html(`${app.data.datiForm.matricola}`);
    $$('#anno_estintore_sel').html(`${app.data.datiForm.anno.substring(0, 4)}`);

    app.popup.open('#popupQRCODE');

}

function back() {
    app.views.main.router.back();
}

function stampaEtichetteGrandi(json) {
    var urlWs = app.data.url + "ws/stampa_etichette_grandi/";
    app.request.promise.post(urlWs, { dati: json })
        .catch((errore) => {
            Utility.gestisciMessaggioErrore(errore);
        });
}